Delete an organization
curl --request DELETE \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "orgId",
"expression": "uuid",
"originalValue": "",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 10,
"message": "Organization cannot be deleted because it still has users."
}{
"group": "organization",
"code": 1200,
"message": "Get organization grouping policy encountered error.",
"traces": [
"error occurred."
]
}organizations
Delete an organization
Deletes an organization.
- Allowed only if the organization has no users.
- Only the
organization ownercan access the API. - The owner account will also be deleted.
DELETE
/
organizations
/
{orgId}
Delete an organization
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Response
Successfully deleted the organization.
⌘I